Bug 1277925 - clinfo: Failed to release test userptr object! (9) i915 kernel driver may not be sane!
clinfo: Failed to release test userptr object! (9) i915 kernel driver may not...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 06:21 EST by Dominik 'Rathann' Mierzejewski
Modified: 2015-11-15 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-15 19:22:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full clinfo output. (7.92 KB, text/plain)
2015-11-04 06:21 EST, Dominik 'Rathann' Mierzejewski
no flags Details

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-11-04 06:21:43 EST
Created attachment 1089571 [details]
Full clinfo output.

Description of problem:
When running clinfo, I get the following error/warning:
Failed to release test userptr object! (9) i915 kernel driver may not be sane!
The message seems to come from libdrm:

$ strings /usr/lib64/libdrm_intel.so.1.0.0 | grep "may not be sane"
Failed to release test userptr object! (%d) i915 kernel driver may not be sane!

I'm not sure which component to assign this to.

Version-Release number of selected component (if applicable):
$ rpm -q libdrm clinfo beignet kernel
libdrm-2.4.61-3.fc22.x86_64
clinfo-0.1-0.6.git20150215.94fdb47.fc22.x86_64
beignet-1.1.1-1.fc22.x86_64
kernel-4.2.5-201.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Get Haswell-based hardware
2. dnf install clinfo beignet
3. clinfo

Actual results:
"Failed to release test userptr object! (9) i915 kernel driver may not be sane!" can be seen in clinfo output.

Expected results:
No errors/warnings.

Additional info:
Full clinfo output attached.
Comment 1 Dominik 'Rathann' Mierzejewski 2015-11-04 06:22:47 EST
Similar occurrence of this warning on Ubuntu was "fixed" by recompiling libdrm from source: http://lists.freedesktop.org/archives/beignet/2015-May/005642.html .
Comment 2 Fedora Update System 2015-11-05 16:25:27 EST
beignet-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d2e188cd91
Comment 3 Fedora Update System 2015-11-05 16:26:09 EST
beignet-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4640d6d0e7
Comment 4 Fedora Update System 2015-11-08 07:27:35 EST
beignet-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beignet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4640d6d0e7
Comment 5 Fedora Update System 2015-11-08 08:25:29 EST
beignet-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beignet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d2e188cd91
Comment 6 Fedora Update System 2015-11-15 19:22:47 EST
beignet-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-15 22:22:23 EST
beignet-1.1.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.